package ru.dbotthepony.mc.prng.mixin;

import net.minecraft.util.RandomSource;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;
import ru.dbotthepony.mc.prng.GJRAND64RandomSource;

@Mixin(RandomSource.class)
public interface RandomSourceMixin {
	@Overwrite
	static RandomSource create() {
		return new GJRAND64RandomSource();
	}

	@Overwrite
	static RandomSource create(long seed) {
		return new GJRAND64RandomSource(seed);
	}
}
